Bug 461538 - RFE: Use /etc/ltrace.d/ for collecting third-party configuration files
RFE: Use /etc/ltrace.d/ for collecting third-party configuration files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ltrace (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-08 17:57 EDT by Milos Jakubicek
Modified: 2015-05-04 21:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:14:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Enable ltrace using /etc/ltrace.d/ for subconfs (1.53 KB, patch)
2008-09-08 17:57 EDT, Milos Jakubicek
no flags Details | Diff

  None (edit)
Description Milos Jakubicek 2008-09-08 17:57:49 EDT
Created attachment 316124 [details]
Enable ltrace using /etc/ltrace.d/ for subconfs

Description of problem:

I've just packaged twin (see #461484) which provides a configuration file for ltrace but there is no way how to deploy it properly. Therefore I'm submitting a small patch for ltrace which enables it to look under /etc/ltrace.d/ for further configuration files placed there by other packages.
Comment 1 Petr Machata 2008-09-17 10:10:21 EDT
There are some problems with the patch:

- filter would be better and more securely written this way:
        int filter(const struct dirent *conffile) {
                static const char ext[] = "conf";
                const char *fext = strrchr(conffile->d_name, '.');
                return fext != NULL && !strcmp(fext + 1, ext);
        }

- free(conffiles) may sigsegv if scandir fails

- The error message displayed when scandir fails is misleading, and besides I think ltrace shouldn't exit if the directory doesn't exist.  The best combination I can think of is to write a warning only if the directory exists (i.e. stat succeeds), but it can't be read.  ltrace should be quiet if there is no directory at all.

- man page component might be part of the patch

In general I agree that similar feature is handy, if not necessary.  Though I'm not entirely sure it's a good idea to just load everything that's stored there -- in theory, that could be dozens of files.  Maybe extending -F flag from trunk would be better idea (e.g. -F +X would mean to load /etc/ltrace.d/X, in mutt-esque syntax).

I think upstream mailing list is a better place to discuss this, would you please resend the patch and feature proposal to the mailing list?
        http://lists.alioth.debian.org/mailman/listinfo/ltrace-devel
It's not much read, but at least there is some chance of getting feedback (plus it's email, not a reply box in bugzilla).
Comment 2 Bug Zapper 2009-06-09 22:39:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 13:14:26 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.